Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 8512)
@@ -153,5 +153,5 @@
    !! * Share Module variables
    !!--------------------------------------------------------------------------
-   !                                     !!** ice-generic parameters namelist (namicerun) **
+   !                                     !!** ice-generic parameters namelist (namice_run) **
    INTEGER           , PUBLIC ::   jpl             !: number of ice  categories 
    INTEGER           , PUBLIC ::   nlay_i          !: number of ice  layers 
@@ -163,11 +163,6 @@
    CHARACTER(len=256), PUBLIC ::   cn_icerst_indir !: ice restart input directory
    CHARACTER(len=256), PUBLIC ::   cn_icerst_outdir!: ice restart output directory
-   LOGICAL           , PUBLIC ::   ln_limthd       !: flag for ice thermo (T) or not (F)
-   LOGICAL           , PUBLIC ::   ln_limdyn       !: flag for ice dynamics (T) or not (F)
-   INTEGER           , PUBLIC ::   nn_limdyn       !: flag for ice dynamics
-   REAL(wp)          , PUBLIC ::   rn_uice         !: prescribed u-vel (case nn_limdyn=0)
-   REAL(wp)          , PUBLIC ::   rn_vice         !: prescribed v-vel (case nn_limdyn=0)
    
-   !                                     !!** ice-diagnostics namelist (namicediag) **
+   !                                     !!** ice-diagnostics namelist (namice_dia) **
    LOGICAL , PUBLIC ::   ln_limdiachk     !: flag for ice diag (T) or not (F)
    LOGICAL , PUBLIC ::   ln_limdiahsb     !: flag for ice diag (T) or not (F)
@@ -177,13 +172,18 @@
 
    !                                     !!** ice-dynamics namelist (namicedyn) **
+   LOGICAL , PUBLIC ::   ln_icedyn        !: flag for ice dynamics (T) or not (F)
+   INTEGER , PUBLIC ::   nn_icedyn        !: flag for ice dynamics
+   REAL(wp), PUBLIC ::   rn_uice          !: prescribed u-vel (case nn_icedyn=0)
+   REAL(wp), PUBLIC ::   rn_vice          !: prescribed v-vel (case nn_icedyn=0)
                                           ! -- iceadv -- !
-   INTEGER , PUBLIC ::   nn_limadv        !: choose the advection scheme (-1=Prather ; 0=Ultimate-Macho)
-   INTEGER , PUBLIC ::   nn_limadv_ord    !: choose the order of the advection scheme (if Ultimate-Macho)   
+   LOGICAL , PUBLIC ::   ln_adv_Pra       !: Prather        advection scheme
+   LOGICAL , PUBLIC ::   ln_adv_UMx       !: Ultimate-Macho advection scheme
+   INTEGER , PUBLIC ::   nn_UMx           !: order of the UMx advection scheme   
                                           ! -- icerdgrft -- !
-   INTEGER , PUBLIC ::   nn_icestr        !: ice strength parameterization (0=Hibler79 1=Rothrock75)
-   REAL(wp), PUBLIC ::   rn_pe_rdg        !: ridging work divided by pot. energy change in ridging, nn_icestr = 1
+   LOGICAL , PUBLIC ::   ln_str_Hib       !: ice strength parameterization (Hibler79)
    REAL(wp), PUBLIC ::   rn_pstar         !: determines ice strength, Hibler JPO79
    REAL(wp), PUBLIC ::   rn_crhg          !: determines changes in ice strength
-   LOGICAL , PUBLIC ::   ln_icestr_bvf    !: use brine volume to diminish ice strength
+   LOGICAL , PUBLIC ::   ln_str_Rot       !: ice strength parameterization (Rothrock75)
+   REAL(wp), PUBLIC ::   rn_perdg         !: ridging work divided by pot. energy change in ridging
                                           ! -- icerhg -- !
    REAL(wp), PUBLIC ::   rn_ishlat        !: lateral boundary condition for sea-ice
@@ -198,5 +198,6 @@
    REAL(wp), PUBLIC ::   rn_lfrelax       !: relaxation time scale (s-1) to reach static friction (landfast ice) 
 
-   !                                     !!** ice-thermodynamics namelist (namicethd) **
+   !                                     !!** ice-thermodynamics namelist (namice_thd) **
+   LOGICAL , PUBLIC ::   ln_limthd        !: flag for ice thermo (T) or not (F)
                                           ! -- icethd_dif -- !
    REAL(wp), PUBLIC ::   rn_kappa_i       !: coef. for the extinction of radiation Grenfell et al. (2006) [1/m]
@@ -219,8 +220,14 @@
    REAL(wp), PUBLIC ::   rn_vfrazb        !: threshold drift speed for collection of bottom frazil ice
    REAL(wp), PUBLIC ::   rn_Cfrazb        !: squeezing coefficient for collection of bottom frazil ice
-                                          ! -- iceitd -- !
+                                          ! -- iceitd_th -- !
    REAL(wp), PUBLIC ::   rn_himin         !: minimum ice thickness
-
-   !                                     !!** ice-salinity namelist (namicesal) **
+                                          ! --  -- !
+   INTEGER , PUBLIC ::   nn_limflx        !: LIM3 Multi-category heat flux formulation
+   !                                      !   =-1  Use of per-category fluxes
+   !                                      !   = 0  Average per-category fluxes
+   !                                      !   = 1  Average then redistribute per-category fluxes
+   !                                      !   = 2  Redistribute a single flux over categories
+
+   !                                     !!** ice-salinity namelist (namice_sal) **
    LOGICAL , PUBLIC ::   ln_limdS         !: activate gravity drainage and flushing (T) or not (F)
    INTEGER , PUBLIC ::   nn_icesal        !: salinity configuration used in the model
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv.F90	(revision 8512)
@@ -34,5 +34,13 @@
    PRIVATE
 
-   PUBLIC   ice_adv    ! called by icestp
+   PUBLIC   ice_adv        ! called by icestp
+   PUBLIC   ice_adv_init   ! called by icestp
+
+   INTEGER, PUBLIC ::              nice_dyn   ! choice of the type of advection scheme
+   !                                  ! associated indices:
+   INTEGER, PUBLIC, PARAMETER ::   np_dynNO   = 0   ! no ice dynamics and ice advection
+   INTEGER, PUBLIC, PARAMETER ::   np_dynFULL = 1   ! full ice dynamics  (rheology + advection + ridging/rafting + correction)
+   INTEGER, PUBLIC, PARAMETER ::   np_dyn     = 2   ! no ridging/rafting (rheology + advection                   + correction)
+   INTEGER, PUBLIC, PARAMETER ::   np_dynPURE = 3   ! pure dynamics      (rheology + advection) 
 
    !! * Substitution
@@ -54,6 +62,6 @@
       !!     other values are considered as second order. 
       !!     For advection, one can choose between
-      !!     a) an Ultimate-Macho scheme (whose order is defined by nn_limadv_ord) => nn_limadv=0
-      !!     b) and a second order Prather scheme => nn_limadv=-1
+      !!     a) an Ultimate-Macho scheme (whose order is defined by nn_UMx) => ln_adv_UMx
+      !!     b) and a second order Prather scheme => ln_adv_Pra
       !!
       !! ** action :
@@ -75,6 +83,6 @@
       IF( kt == nit000 .AND. lwp ) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'iceadv: sea-ice advection'
-         WRITE(numout,*) '~~~~~~'
+         WRITE(numout,*) 'ice_adv: sea-ice advection'
+         WRITE(numout,*) '~~~~~~~'
       ENDIF
       
@@ -116,14 +124,13 @@
       ! Advection
       !----------
-      SELECT CASE ( nn_limadv )
-      CASE ( 0 )                    !-- ULTIMATE-MACHO scheme
+      IF( ln_adv_UMx ) THEN                    !-- ULTIMATE-MACHO scheme
          CALL ice_adv_umx( kt, u_ice, v_ice,  &
             &              ato_i, v_i, v_s, smv_i, oa_i, a_i, a_ip, v_ip, e_s, e_i )
          
-      CASE ( -1 )                   !-- PRATHER scheme
+      ELSEIF( ln_adv_Pra ) THEN                !-- PRATHER scheme
          CALL ice_adv_prather( kt, u_ice, v_ice,  &
             &                  ato_i, v_i, v_s, smv_i, oa_i, a_i, a_ip, v_ip, e_s, e_i )
          
-      END SELECT
+      ENDIF
 
       ! total ice fraction
@@ -154,5 +161,5 @@
       ! Thickness correction in case too high
       !--------------------------------------
-      IF( nn_limdyn == 2 ) THEN
+      IF( nn_icedyn == 2 ) THEN
          !
          CALL ice_var_zapsmall                       !-- zap small areas
@@ -228,4 +235,72 @@
    END SUBROUTINE ice_adv
 
+
+   SUBROUTINE ice_adv_init
+      !!-------------------------------------------------------------------
+      !!                  ***  ROUTINE ice_adv_init  ***
+      !!
+      !! ** Purpose : Physical constants and parameters linked to the ice
+      !!      dynamics
+      !!
+      !! ** Method  :  Read the namice_adv namelist and check the ice-dynamic
+      !!       parameter values called at the first timestep (nit000)
+      !!
+      !! ** input   :   Namelist namice_adv
+      !!-------------------------------------------------------------------
+      INTEGER ::   ios   ! Local integer output status for namelist read
+      !!
+      NAMELIST/namice_adv/ ln_icedyn, nn_icedyn, rn_uice, rn_vice, ln_adv_Pra, ln_adv_UMx, nn_UMx
+      !!-------------------------------------------------------------------
+      !
+      REWIND( numnam_ice_ref )         ! Namelist namice_adv in reference namelist : Ice dynamics
+      READ  ( numnam_ice_ref, namice_adv, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_adv in reference namelist', lwp )
+      !
+      REWIND( numnam_ice_cfg )         ! Namelist namice_adv in configuration namelist : Ice dynamics
+      READ  ( numnam_ice_cfg, namice_adv, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_adv in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namice_adv )
+      !
+      IF(lwp) THEN                     ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) 'ice_adv_init : ice parameters for ice dynamics '
+         WRITE(numout,*) '~~~~~~~~~~~~'
+         WRITE(numout,*) '   Namelist namice_adv'
+         WRITE(numout,*) '      Ice dynamics       (T) or not (F)                         ln_icedyn  = ', ln_icedyn
+         WRITE(numout,*) '         associated switch                                      nn_icedyn  = ', nn_icedyn
+         WRITE(numout,*) '            =2 all processes (default option)'
+         WRITE(numout,*) '            =1 advection only (no ridging/rafting)'
+         WRITE(numout,*) '            =0 advection only with prescribed velocity given by '
+         WRITE(numout,*) '               a uniform field               (u,v)_ice = (rn_uice,rn_vice) = (', rn_uice,',', rn_vice,')'
+         WRITE(numout,*) '      advection scheme for ice transport (limtrp)'
+         WRITE(numout,*) '         type of advection scheme (Prather)                     ln_adv_Pra = ', ln_adv_Pra 
+         WRITE(numout,*) '         type of advection scheme (Ulimate-Macho)               ln_adv_UMx = ', ln_adv_UMx 
+         WRITE(numout,*) '            order of the Ultimate-Macho scheme                      nn_UMx = ', nn_UMx
+      ENDIF
+      !
+      !                             ! set the choice of ice dynamics
+      IF( lk_c1d .OR. .NOT. ln_icedyn ) THEN
+         nice_dyn = np_dynNO                    !--- no dynamics
+      ELSE
+         SELECT CASE( nn_icedyn )
+         CASE( 2 )                    
+            IF( nn_monocat /= 2 ) THEN          !--- full dynamics (rheology + advection + ridging/rafting + correction)
+               nice_dyn = np_dynFULL
+            ELSE
+               nice_dyn = np_dyn                !--- dynamics without ridging/rafting
+            ENDIF
+         CASE( 0 , 1 )                          !--- dynamics without ridging/rafting and correction 
+            nice_dyn = np_dynPURE
+         END SELECT
+      ENDIF
+      !                                         !--- simple conservative piling, comparable with LIM2
+      l_piling = nn_icedyn == 1 .OR. ( nn_monocat == 2  .AND.  jpl == 1 )
+      !
+      IF ( ( ln_adv_Pra .AND. ln_adv_UMx ) .OR. ( .NOT.ln_adv_Pra .AND. .NOT.ln_adv_UMx ) ) THEN
+         CALL ctl_stop( 'ice_adv_init: choose one and only one ice advection scheme (ln_adv_Pra or ln_adv_UMx)' )
+      ENDIF
+      !
+   END SUBROUTINE ice_adv_init
+
 #else
    !!----------------------------------------------------------------------
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv_prather.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv_prather.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv_prather.F90	(revision 8512)
@@ -75,9 +75,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( kt == nit000 .AND. lwp ) THEN
-         WRITE(numout,*)
-         WRITE(numout,*) 'ice_adv_prather: Prather advection scheme'
-         WRITE(numout,*) '~~~~~~~~~~~~~~~'
-      ENDIF
+      IF( kt == nit000 .AND. lwp )   WRITE(numout,*) '-- ice_adv_prather: Prather advection scheme'
       !
       ALLOCATE( zarea(jpi,jpj)     , z0opw(jpi,jpj, 1 ) ,                                           &
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv_umx.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv_umx.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv_umx.F90	(revision 8512)
@@ -74,9 +74,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( kt == nit000 .AND. lwp ) THEN
-         WRITE(numout,*) 
-         WRITE(numout,*) 'ice_adv_umx : Ultimate-MACHO advection scheme'
-         WRITE(numout,*) '~~~~~~~~~~~'
-      ENDIF
+      IF( kt == nit000 .AND. lwp )   WRITE(numout,*) '-- ice_adv_umx: Ultimate-Macho advection scheme'
       !
       ALLOCATE( zudy(jpi,jpj) , zvdx(jpi,jpj) , zcu_box(jpi,jpj) , zcv_box(jpi,jpj) )
@@ -193,5 +189,5 @@
       ! High order (_ho) fluxes 
       ! -----------------------
-      SELECT CASE( nn_limadv_ord )
+      SELECT CASE( nn_UMx )
       CASE ( 20 )                          ! centered second order
          DO jj = 2, jpjm1
@@ -203,5 +199,5 @@
          !
       CASE ( 1:5 )                      ! 1st to 5th order ULTIMATE-MACHO scheme
-         CALL macho( kt, nn_limadv_ord, pdt, ptc, puc, pvc, pubox, pvbox, zt_u, zt_v )
+         CALL macho( kt, nn_UMx, pdt, ptc, puc, pvc, pubox, pvbox, zt_u, zt_v )
          !
          DO jj = 2, jpjm1
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90	(revision 8512)
@@ -34,5 +34,5 @@
    REAL(wp) , PARAMETER ::   r1_c2 = 1. / rc2
    !
-   ! ** albedo namelist (namicealb)
+   ! ** albedo namelist (namice_alb)
    INTEGER  ::   nn_ice_alb       ! type of albedo scheme: 0: Shine & Henderson-Sellers (JGR 1985)
    !                                      !                         1: "home made" based on Brandt et al. (JClim 2005)
@@ -310,19 +310,19 @@
       !! ** Purpose :   initializations for the albedo parameters
       !!
-      !! ** Method  :   Read the namelist namicealb
+      !! ** Method  :   Read the namelist namice_alb
       !!----------------------------------------------------------------------
       INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!
-      NAMELIST/namicealb/ nn_ice_alb, rn_alb_sdry, rn_alb_smlt, rn_alb_idry, rn_alb_imlt, rn_alb_dpnd
-      !!----------------------------------------------------------------------
-      !
-      REWIND( numnam_ice_ref )              ! Namelist namicealb in reference namelist : Albedo parameters
-      READ  ( numnam_ice_ref, namicealb, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicealb in reference namelist', lwp )
+      NAMELIST/namice_alb/ nn_ice_alb, rn_alb_sdry, rn_alb_smlt, rn_alb_idry, rn_alb_imlt, rn_alb_dpnd
+      !!----------------------------------------------------------------------
+      !
+      REWIND( numnam_ice_ref )              ! Namelist namice_alb in reference namelist : Albedo parameters
+      READ  ( numnam_ice_ref, namice_alb, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_alb in reference namelist', lwp )
 
       REWIND( numnam_ice_cfg )              ! Namelist namsbc_alb in configuration namelist : Albedo parameters
-      READ  ( numnam_ice_cfg, namicealb, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicealb in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namicealb )
+      READ  ( numnam_ice_cfg, namice_alb, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_alb in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namice_alb )
       !
       IF(lwp) THEN                      ! Control print
@@ -330,5 +330,5 @@
          WRITE(numout,*) 'albedo : set albedo parameters'
          WRITE(numout,*) '~~~~~~~'
-         WRITE(numout,*) '   Namelist namicealb : albedo '
+         WRITE(numout,*) '   Namelist namice_alb : albedo '
          WRITE(numout,*) '      choose the albedo parameterization   nn_ice_alb  = ', nn_ice_alb
          WRITE(numout,*) '      albedo of dry snow                   rn_alb_sdry = ', rn_alb_sdry
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icecor.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icecor.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icecor.F90	(revision 8512)
@@ -60,6 +60,6 @@
       IF( kt == nit000 .AND. lwp .AND. kn == 2 ) THEN
          WRITE(numout,*)
-         WRITE(numout,*)' icecor :  correct sea ice variables if out of bounds ' 
-         WRITE(numout,*)' ~~~~~~~'
+         WRITE(numout,*) 'ice_cor:  correct sea ice variables if out of bounds ' 
+         WRITE(numout,*) '~~~~~~~'
       ENDIF
       !                             !--- conservation test
@@ -103,5 +103,5 @@
       !                             !  Rebin categories with thickness out of bounds     !
       !                             !-----------------------------------------------------
-      IF ( jpl > 1 )   CALL ice_itd_reb
+      IF ( jpl > 1 )   CALL ice_itd_reb( kt )
 
       !                             !-----------------------------------------------------
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedia.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedia.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedia.F90	(revision 8512)
@@ -164,15 +164,15 @@
       INTEGER            ::   ios, ierror   ! local integer
       !!
-      NAMELIST/namicediag/ ln_limdiachk, ln_limdiahsb, ln_limctl, iiceprt, jiceprt  
+      NAMELIST/namice_dia/ ln_limdiachk, ln_limdiahsb, ln_limctl, iiceprt, jiceprt  
       !!----------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )      ! Namelist namicediag in reference namelist : Parameters for ice
-      READ  ( numnam_ice_ref, namicediag, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicediag in reference namelist', lwp )
-
-      REWIND( numnam_ice_cfg )      ! Namelist namicediag in configuration namelist : Parameters for ice
-      READ  ( numnam_ice_cfg, namicediag, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicediag in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namicediag )
+      REWIND( numnam_ice_ref )      ! Namelist namice_dia in reference namelist : Parameters for ice
+      READ  ( numnam_ice_ref, namice_dia, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dia in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )      ! Namelist namice_dia in configuration namelist : Parameters for ice
+      READ  ( numnam_ice_cfg, namice_dia, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dia in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namice_dia )
       !
       IF(lwp) THEN                  ! control print
@@ -180,5 +180,5 @@
          WRITE(numout,*) 'ice_dia_init: ice diagnostics'
          WRITE(numout,*) ' ~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namicediag : '
+         WRITE(numout,*) '   Namelist namice_dia : '
          WRITE(numout,*) '      Diagnose online heat/mass/salt budget      ln_limdiachk = ', ln_limdiachk
          WRITE(numout,*) '      Output          heat/mass/salt budget      ln_limdiahsb = ', ln_limdiahsb
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceist.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceist.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceist.F90	(revision 8512)
@@ -47,7 +47,7 @@
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   si  ! structure of input fields (file informations, fields read)
    !
-   ! ** namelist (namiceini) **
-   LOGICAL  ::   ln_limini        ! initialization or not
-   LOGICAL  ::   ln_limini_file   ! Ice initialization state from 2D netcdf file
+   ! ** namelist (namice_ini) **
+   LOGICAL  ::   ln_iceini        ! initialization or not
+   LOGICAL  ::   ln_iceini_file   ! Ice initialization state from 2D netcdf file
    REAL(wp) ::   rn_thres_sst     ! threshold water temperature for initial sea ice
    REAL(wp) ::   rn_hts_ini_n     ! initial snow thickness in the north
@@ -126,7 +126,7 @@
       ! 2) Initialization of sea ice state variables
       !--------------------------------------------------------------------
-      IF( ln_limini ) THEN
+      IF( ln_iceini ) THEN
          !
-         IF( ln_limini_file )THEN
+         IF( ln_iceini_file )THEN
          !
             zht_i_ini(:,:)  = si(jp_hti)%fnow(:,:,1)
@@ -141,5 +141,5 @@
             END WHERE
             !
-         ELSE ! ln_limini_file = F
+         ELSE ! ln_iceini_file = F
 
             !--------------------------------------------------------------------
@@ -175,5 +175,5 @@
             END DO
             !
-         ENDIF ! ln_limini_file
+         ENDIF ! ln_iceini_file
          
          zvt_i_ini(:,:) = zht_i_ini(:,:) * zat_i_ini(:,:)   ! ice volume
@@ -403,5 +403,5 @@
          ! END MV MP 2016
 
-      ELSE ! if ln_limini=false
+      ELSE ! if ln_iceini=false
          a_i  (:,:,:) = 0._wp
          v_i  (:,:,:) = 0._wp
@@ -431,5 +431,5 @@
          h_ip     (:,:,:) = 0._wp
 
-      ENDIF ! ln_limini
+      ENDIF ! ln_iceini
       
       at_i (:,:) = 0.0_wp
@@ -518,9 +518,9 @@
       !! ** Purpose : Definition of initial state of the ice 
       !!
-      !! ** Method : Read the namiceini namelist and check the parameter 
+      !! ** Method : Read the namice_ini namelist and check the parameter 
       !!       values called at the first timestep (nit000)
       !!
       !! ** input : 
-      !!        Namelist namiceini
+      !!        Namelist namice_ini
       !!
       !! history :
@@ -537,5 +537,5 @@
       TYPE(FLD_N), DIMENSION(jpfldi) ::   slf_i                 ! array of namelist informations on the fields to read
       !
-      NAMELIST/namiceini/ ln_limini, ln_limini_file, rn_thres_sst, rn_hts_ini_n, rn_hts_ini_s,  &
+      NAMELIST/namice_ini/ ln_iceini, ln_iceini_file, rn_thres_sst, rn_hts_ini_n, rn_hts_ini_s,  &
          &                rn_hti_ini_n, rn_hti_ini_s, rn_ati_ini_n, rn_ati_ini_s, rn_smi_ini_n, &
          &                rn_smi_ini_s, rn_tmi_ini_n, rn_tmi_ini_s,                             &
@@ -543,12 +543,12 @@
       !!-----------------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )              ! Namelist namiceini in reference namelist : Ice initial state
-      READ  ( numnam_ice_ref, namiceini, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceini in reference namelist', lwp )
-
-      REWIND( numnam_ice_cfg )              ! Namelist namiceini in configuration namelist : Ice initial state
-      READ  ( numnam_ice_cfg, namiceini, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceini in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namiceini )
+      REWIND( numnam_ice_ref )              ! Namelist namice_ini in reference namelist : Ice initial state
+      READ  ( numnam_ice_ref, namice_ini, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_ini in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namice_ini in configuration namelist : Ice initial state
+      READ  ( numnam_ice_cfg, namice_ini, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_ini in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namice_ini )
 
       slf_i(jp_hti) = sn_hti  ;  slf_i(jp_hts) = sn_hts
@@ -563,7 +563,7 @@
          WRITE(numout,*) 'ice_ist_init : ice parameters inititialisation '
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namiceini'
-         WRITE(numout,*) '      initialization with ice (T) or not (F)       ln_limini     = ', ln_limini
-         WRITE(numout,*) '      ice initialization from a netcdf file      ln_limini_file  = ', ln_limini_file
+         WRITE(numout,*) '   Namelist namice_ini'
+         WRITE(numout,*) '      initialization with ice (T) or not (F)       ln_iceini     = ', ln_iceini
+         WRITE(numout,*) '      ice initialization from a netcdf file      ln_iceini_file  = ', ln_iceini_file
          WRITE(numout,*) '      threshold water temp. for initial sea-ice    rn_thres_sst  = ', rn_thres_sst
          WRITE(numout,*) '      initial snow thickness in the north          rn_hts_ini_n  = ', rn_hts_ini_n
@@ -579,5 +579,5 @@
       ENDIF
 
-      IF( ln_limini_file ) THEN                      ! Ice initialization using input file
+      IF( ln_iceini_file ) THEN                      ! Ice initialization using input file
          !
          ! set si structure
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90	(revision 8511)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90	(revision 8512)
@@ -38,5 +38,5 @@
    PUBLIC   ice_itd_reb   ! called in iceerr
 
-   ! ** ice-thickness distribution namelist (namiceitd) **
+   ! ** ice-thickness distribution namelist (namice_itd) **
    REAL(wp) ::   rn_himean        ! mean thickness of the domain (used to compute the distribution)
 
@@ -79,9 +79,5 @@
       !!------------------------------------------------------------------
 
-      IF( kt == nit000 .AND. lwp) THEN
-         WRITE(numout,*)
-         WRITE(numout,*) 'ice_itd_rem  : Remapping the ice thickness distribution'
-         WRITE(numout,*) '~~~~~~~~~~~~~~~'
-      ENDIF
+      IF( kt == nit000 .AND. lwp )   WRITE(numout,*) '-- ice_itd_rem: remapping ice thickness distribution' 
 
       IF( ln_limdiachk ) CALL ice_cons_hsm(0, 'iceitd_rem', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
@@ -545,5 +541,5 @@
    
 
-   SUBROUTINE ice_itd_reb
+   SUBROUTINE ice_itd_reb( kt )
       !!------------------------------------------------------------------
       !!                ***  ROUTINE ice_itd_reb ***
@@ -555,4 +551,5 @@
       !!              to the neighboring category
       !!------------------------------------------------------------------
+      INTEGER , INTENT (in) ::   kt      ! Ocean time step 
       INTEGER ::   ji, jj, jl   ! dummy loop indices
       !
@@ -561,4 +558,6 @@
       !!------------------------------------------------------------------
       !
+      IF( kt == nit000 .AND. lwp )   WRITE(numout,*) '-- ice_itd_reb: rebining ice thickness distribution' 
+
       jdonor(:,:) = 0
       zdaice(:,:) = 0._wp
@@ -645,5 +644,5 @@
       !! ** Purpose :   Initializes the ice thickness distribution
       !! ** Method  :   ...
-      !! ** input   :   Namelist namiceitd
+      !! ** input   :   Namelist namice_itd
       !!-------------------------------------------------------------------
       INTEGER  ::   jl    ! dummy loop index
@@ -651,15 +650,15 @@
       REAL(wp) ::   zhmax, znum, zden, zalpha   !   -      -
       !!
-      NAMELIST/namiceitd/ rn_himean
-      !!------------------------------------------------------------------
-      !
-      REWIND( numnam_ice_ref )      ! Namelist namiceitd in reference namelist : Parameters for ice
-      READ  ( numnam_ice_ref, namiceitd, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceitd in reference namelist', lwp )
-
-      REWIND( numnam_ice_cfg )      ! Namelist namiceitd in configuration namelist : Parameters for ice
-      READ  ( numnam_ice_cfg, namiceitd, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceitd in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namiceitd )
+      NAMELIST/namice_itd/ rn_himean
+      !!------------------------------------------------------------------
+      !
+      REWIND( numnam_ice_ref )      ! Namelist namice_itd in reference namelist : Parameters for ice
+      READ  ( numnam_ice_ref, namice_itd, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_itd in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )      ! Namelist namice_itd in configuration namelist : Parameters for ice
+      READ  ( numnam_ice_cfg, namice_itd, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_itd in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namice_itd )
       !
       IF(lwp) THEN                  ! control print
@@ -667,5 +666,5 @@
          WRITE(numout,*) 'ice_itd_init : Initialization of ice cat distribution '
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namicerun : '
+         WRITE(numout,*) '   Namelist namice_itd : '
          WRITE(numout,*) '      mean ice thickness in the domain               rn_himean = ', rn_himean
       ENDIF
